%define	version	2.1.0
%define release	1mdk

Summary:	Swedish -> Icelandic *Quick dictionary for StarDict 2
Name:		stardict-quick-swe-isl
Version:	%{version}
Release:	%{release}
License:	Distributable
Group:		Databases
URL:		http://stardict.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

Source0:	ftp://download.sourceforge.net/pub/sourceforge/stardict/stardict-quick_swe-isl-%{version}.tar.bz2

Provides:	stardict-dictionary

%description
Swedish -> Icelandic *Quick dictionary in StarDict 2 format.
*Quick is an open source translation application. For more info, visit

http://www.futureware.at/.

%prep
%setup -q -n stardict-quick_swe-isl-%{version}
# tarball contains broken filename
mv -f quick_svenska-isl\?\?dska.dict.dz quick_svenska-islandska.dict.dz
mv -f quick_svenska-isl\?\?dska.idx.gz quick_svenska-islandska.idx.gz

%build

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/stardict/dic
install -m 0644 *.idx* *.dict.dz $RPM_BUILD_ROOT%{_datadir}/stardict/dic

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/stardict/dic/*

%changelog
* Thu Jul 28 2003 Abel Cheung <maddog@linux.org.hk> 2.1.0-1mdk
- First Mandrake style spec
